iscsi_session_persistent_port_get(3)

NAME
iscsi_session_persistent_port_get - Retrieve iSCSI target persistent port of specified session

SYNOPSIS
int32_t iscsi_session_persistent_port_get (struct iscsi_session *se);

ARGUMENTS

se  Pointer of 'struct iscsi_session'. If this pointer is NULL, your program will be terminated by assert.

DESCRIPTION

Retrieve the iSCSI target persistent port of specified iSCSI session. The 'persistent port' is the network port where iSCSI initiator send initial request. When iSCSI redirection in use, this port might not be the network port used for actual iSCSI transaction. Please use `iscsi_session_port_get` for target network address of iSCSI transaction.

RETURN
int32_t. -1 if not supported.